<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 *
 *  @author    Veebipoed.ee, EveryPay
 *  @copyright 2023 Veebipoed.ee, EveryPay
 *  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_6_3_3($module)
{
    Configuration::updateValue($module->formatName('apple_pay_v4_demo_url'), 'https://igw-demo.every-pay.com/api/v4/payments/');
    Configuration::updateValue($module->formatName('apple_pay_v4_production_url'), 'https://pay.every-pay.eu/api/v4/payments/');
    Configuration::updateValue($module->formatName('apple_pay_js_demo_url'), 'https://igw-demo.every-pay.com/apple_pay/apple-pay-client-1.4.js');
    Configuration::updateValue($module->formatName('apple_pay_js_production_url'), 'https://pay.every-pay.eu/apple_pay/apple-pay-client-1.4.js');

    return true;
}