{*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
*
*  @author    Veebipoed.ee, EveryPay
*  @copyright 2023 Veebipoed.ee, EveryPay
*  @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*}

<form id="apple_pay_form" action="{$apple_pay_payment_link}" method="GET" style="display: none">
    <div class="row">
        <div class="col-xs-12">
            <div class="payment_module everypay apple_pay">
                <div id="apple-pay-button" class="apple-pay-button_{$apple_pay_button_style}" locale="en-US" lang=en></div>
                <div class="payment_title">{l s='Pay by Apple Pay' mod='everypay'}</div>
            </div>
        </div>
    </div>
    <input type="hidden" name="payment_method" value="apple_pay"/>
</form>
<input type="hidden" id="store-name" value="{$store_name}">
<script type="text/javascript" src="{$apple_pay_js}"></script>
<script type="text/javascript" >
    if (everypayInitApplePay === 0) {
        EVERYPAY.isApplePayAvailable();
        everypayInitApplePay = 1;
    }
</script>